Subject: Re: [sipcore] Revised draft-jones-sip-options-ping-02.txt

From: Paul Kyzivat <[email-masked]>
Date: Thu, 01 Jul 2010 10:42:05 -0400

[as co-chair]

Paul J,

What are your intentions/expectations with respect to this draft?

While it is written using normative language, I find nothing in it that 
is enhanced by being normative. So I would imagine if this is to go 
anywhere, it would be as a Informational document.

At the moment I don't envision this rising to the level of becoming a 
milestone for this group.

I have no problem with using this list for a modest amount of discussion 
about this draft - especially about its eventual outcome.

	Thanks,
	Paul

Paul E. Jones wrote:
> Folks,
> 
> I just wanted to bring to your attention the fact that we've submitted a new
> revised version of the OPTIONS "ping" draft.  This document contains input
> from a number of folks who provided comments to me on various aspects of the
> draft.
> 
> We had some discussion of moving this work to the SIP Overload Control (SOC)
> WG.  Given my current understanding of the scope of the SOC WG, I do not
> think that OPTIONS falls within the scope of their charter.  Further, this
> document was never produced for the purpose of providing an overload
> mechanism, either.
> 
> I would like to have some further dialog on this document.  I've received
> some positive feedback from several people, as this has been seen as a
> useful first step in trying to define use of OPTIONS as a "ping" mechanism
> that is interoperable.  As I had mentioned before, there are several
> different variants of the same procedure in production networks and I think
> it's useful that we reach some agreement on how OPTIONS should be used as an
> application-level "ping", as RFC 3261 is a bit light on detail in this area.
> 
> I know I might not have captured every comment, but that's because the
> discussions went in a variety of directions last time. :-)  So, my edits
> were primarily editorial or to add clarity to what was already written.
> 
> Comments are most certainly welcome.
> 
> Paul
> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]
>> On Behalf Of [email-masked]
>> Sent: Thursday, July 01, 2010 12:30 AM
>> To: [email-masked]
>> Subject: I-D Action:draft-jones-sip-options-ping-02.txt
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>>
>> 	Title           : Using OPTIONS to Query for Operational Status in
>> the Session Initiation Protocol (SIP)
>> 	Author(s)       : V. Bhargava, et al.
>> 	Filename        : draft-jones-sip-options-ping-02.txt
>> 	Pages           : 8
>> 	Date            : 2010-06-30
>>
>> This document describes a procedure for using the Session Initiation
>> Protocol (SIP) OPTIONS method in order to allow one SIP entity to query
>> the operational status of another SIP entity.  Through discovery of the
>> status of a SIP entity, it is possible to expedite session establishment
>> or provide diagnostic information to network administrators.
>>
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-jones-sip-options-ping-02.txt
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> Below is the data which will enable a MIME compliant mail reader
>> implementation to automatically retrieve the ASCII version of the
>> Internet-Draft.
> 
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>